Subject: [Pana] Pana-framework: Issue 201:Mentioning the ability to handle IP transition

From: "Mohan Parthasarathy" <[email-masked]>
Date: Tue, 15 Nov 2005 18:49:06 -0800

This issue seems to have wrong contents in the tracker. I will fix
it as soon as i get access.

> >  Although there are potentially a number of different ways to
> >  configure a PRPA, and POPA when necessary, it should be noted that
> >  the ultimate decision to use one or more of these in a deployment
> >  depends on the operator.  The decision is dictated by the operator's
> >  choice of per-packet protection capability (physical and link-layer
> >  vs network-layer), PRPA type (local and temporary vs global and long-
> >  term), and POPA configuration mechanisms available in the network.
> >
> > 
> >
> Not to mention the ability of the stack to handle an IP address 
> transition. Is there a mandate by PANA that this be possible? For 

AFAICT, yes. The PRPA is just for running PANA. You need to
use a different address after that. If PRPA is a global address,
then this transition is not needed. But i don't think this will be
a common case.

> interoperability, it may be a good idea. The last think you want is a 
> PANA protocol that is configuring PRPA and POPA and an IP stack that 
> can't handle it (and I don't think you can avoid PPP here if you really 
> want to suggest covering DSL as a use-case).
> 
I am not sure i understand the point about IP stack not being able to handle
it. It is just a matter of unconfiguring and configuring a new IP address.
Do you have a specific thing in mind ?

My understanding is that PPP is totally out of the picture if you are using PANA.
So, can you clarify what you mean in the last sentence ?

thanks
mohan

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana